Bug 835979 - Spacecmd system_runscript Translation Exception Error
Spacecmd system_runscript Translation Exception Error
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
2.0
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Zázrivec
Red Hat Satellite QA List
:
Depends On:
Blocks: space21
  Show dependency treegraph
 
Reported: 2012-06-27 13:58 EDT by Steve Alder
Modified: 2014-03-04 08:08 EST (History)
2 users (show)

See Also:
Fixed In Version: spacecmd-2.1.16-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-04 08:07:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Alder 2012-06-27 13:58:01 EDT
Description of problem:
When running system_runscript and providing start_time option, get translation exception.

"ERROR: com.redhat.rhn.common.translation.TranslationException: Could not find translator for class java.lang.String to class java.util.Date"

Version-Release number of selected component (if applicable):
spacecmd-1.2.2-1.el5

How reproducible:
spacecmd {SSM:1}> system_runscript ssm -u root -g root -s 201206271240 -f /root/scripts/test.sh

Steps to Reproduce:
1.  Login to spacecmd and connect to satellite server
2.  Add system(s) to ssm
3.  Run system_runscript command
  
Actual results:
Shows summary, then returns error.  Event is not scheduled.

Expected results:
Should schedule event and run when client checks in

Additional info:
Comment 1 Miroslav Suchý 2013-08-19 09:17:41 EDT
Forwarded to upstream.
Comment 2 Milan Zázrivec 2013-11-08 09:39:23 EST
Fixed in spacewalk.git master: ad5f2714428c7f6011a9ce60b90af0e767fed866

Thank you for the bug report & sorry for the big delay.
Comment 3 Gregor Gruener 2013-11-18 08:50:17 EST
Hi Milan,

I have now an error with this fix.

# cat testfile1.sh
ls -la

# spacecmd "system_runscript group:WEB -t 600 -f testfile1.sh"
INFO: Connected to https://localhost/rpc/api as admin
ERROR: expected string or buffer

Without this commit it looks fine:
spacecmd "system_runscript group:WEB -t 600 -f testfile1.sh"
INFO: Connected to https://localhost/rpc/api as admin

User:       root
Group:      root
Timeout:    600 seconds
Start Time: 20131118T14:45:37

Script Contents
---------------
ls -lh

Systems
-------
lnx3053.eng.zkb.ch

Is this ok [y/N]: y
INFO: Action ID: 4432
INFO: Scheduled: 1 system(s)

Best Regards,
Gregor
Comment 4 Milan Zázrivec 2013-12-01 05:26:31 EST
Problem described in comment #3 fixed in:

spacewalk.git master: ddcaf0a5df86f3377f2698ce4641d8df5c4b702c

Thank you Gregor!
Comment 5 Matej Kollar 2014-01-17 07:16:03 EST
Switching MODIFIED Spacewalk bugs to ON_QA before 2.1 release.
Comment 6 Matej Kollar 2014-03-04 08:07:13 EST
Spacewalk 2.1 has been released.
https://fedorahosted.org/spacewalk/wiki/ReleaseNotes21
Comment 7 Matej Kollar 2014-03-04 08:08:44 EST
Spacewalk 2.1 has been released.
https://fedorahosted.org/spacewalk/wiki/ReleaseNotes21

Note You need to log in before you can comment on or make changes to this bug.